共用方式為


Cloud Vm Clusters - List By Subscription

依訂用帳戶識別碼列出 CloudVmCluster 資源

GET https://management.azure.com/subscriptions/{subscriptionId}/providers/Oracle.Database/cloudVmClusters?api-version=2025-09-01

URI 參數

名稱 位於 必要 類型 Description
subscriptionId
path True

string (uuid)

目標訂用帳戶的標識碼。 此值必須是 UUID。

api-version
query True

string

minLength: 1

用於此作業的 API 版本。

回應

名稱 類型 Description
200 OK

CloudVmClusterListResult

Azure 作業已順利完成。

Other Status Codes

ErrorResponse

未預期的錯誤回應。

安全性

azure_auth

Azure Active Directory OAuth2 Flow。

類型: oauth2
Flow: implicit
授權 URL: https://login.microsoftonline.com/common/oauth2/authorize

範圍

名稱 Description
user_impersonation 模擬您的用戶帳戶

範例

List VM Clusters by subscription
List VM Clusters by subscription - generated by [MaximumSet] rule
List VM Clusters by subscription - generated by [MinimumSet] rule

List VM Clusters by subscription

範例要求

GET https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/providers/Oracle.Database/cloudVmClusters?api-version=2025-09-01

範例回覆

{
  "value": [
    {
      "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg000/providers/Oracle.Database/cloudVmClusters/cluster1",
      "type": "Oracle.Database/cloudVmClusters",
      "location": "eastus",
      "tags": {
        "tagK1": "tagV1"
      },
      "properties": {
        "ocid": "ocid1..aaaa",
        "listenerPort": 1050,
        "nodeCount": 100,
        "storageSizeInGbs": 1000,
        "dataStorageSizeInTbs": 10,
        "dbNodeStorageSizeInGbs": 100,
        "memorySizeInGbs": 1000,
        "timeCreated": "2023-10-22T02:18:35.683Z",
        "lifecycleDetails": "success",
        "timeZone": "UTC",
        "zoneId": "ocid1..aaaa",
        "hostname": "hostname1",
        "domain": "domain1",
        "cpuCoreCount": 10,
        "ocpuCount": 100,
        "clusterName": "cluster1",
        "dataStoragePercentage": 80,
        "isLocalBackupEnabled": false,
        "cloudExadataInfrastructureId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg000/providers/Oracle.Database/cloudExadataInfrastructures/infra1",
        "isSparseDiskgroupEnabled": false,
        "sshPublicKeys": [
          "ssh-key 1"
        ],
        "licenseModel": "LicenseIncluded",
        "scanListenerPortTcp": 1050,
        "scanListenerPortTcpSsl": 1025,
        "vnetId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg000/providers/Microsoft.Network/virtualNetworks/vnet1",
        "giVersion": "19.0.0.0",
        "subnetId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg000/providers/Microsoft.Network/virtualNetworks/vnet1/subnets/subnet1",
        "backupSubnetCidr": "172.17.5.0/24",
        "systemVersion": "v1",
        "diskRedundancy": "High",
        "scanIpIds": [
          "10.0.0.1"
        ],
        "vipIds": [
          "10.0.1.3"
        ],
        "scanDnsName": "dbdns1",
        "scanDnsRecordId": "scandns1",
        "shape": "EXADATA.X9M",
        "provisioningState": "Succeeded",
        "ociUrl": "https://fake",
        "dataCollectionOptions": {
          "isDiagnosticsEventsEnabled": false,
          "isHealthMonitoringEnabled": false,
          "isIncidentLogsEnabled": false
        },
        "displayName": "cluster 1",
        "iormConfigCache": {
          "dbPlans": [
            {
              "dbName": "db1",
              "flashCacheLimit": "none",
              "share": 32
            }
          ],
          "lifecycleDetails": "Disabled",
          "lifecycleState": "Disabled",
          "objective": "LowLatency"
        },
        "lastUpdateHistoryEntryId": "none",
        "dbServers": [
          "ocid1..aaaa"
        ],
        "compartmentId": "ocid1..aaaaaa",
        "subnetOcid": "ocid1..aaaaaa"
      }
    }
  ],
  "nextLink": null
}

List VM Clusters by subscription - generated by [MaximumSet] rule

範例要求

GET https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/providers/Oracle.Database/cloudVmClusters?api-version=2025-09-01

範例回覆

{
  "value": [
    {
      "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg000/providers/Oracle.Database/cloudVmClusters/cluster1",
      "type": "Oracle.Database/cloudVmClusters",
      "location": "eastus",
      "tags": {},
      "properties": {
        "ocid": "ocid1..aaaa",
        "listenerPort": 1050,
        "nodeCount": 100,
        "storageSizeInGbs": 1000,
        "dataStorageSizeInTbs": 10,
        "dbNodeStorageSizeInGbs": 100,
        "memorySizeInGbs": 1000,
        "timeCreated": "2023-10-22T02:18:35.683Z",
        "lifecycleDetails": "success",
        "timeZone": "UTC",
        "zoneId": "ocid1..aaaa",
        "hostname": "hostname1",
        "domain": "domain1",
        "cpuCoreCount": 10,
        "ocpuCount": 100,
        "clusterName": "cluster1",
        "dataStoragePercentage": 80,
        "isLocalBackupEnabled": true,
        "cloudExadataInfrastructureId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg000/providers/Oracle.Database/cloudExadataInfrastructures/infra1",
        "isSparseDiskgroupEnabled": true,
        "sshPublicKeys": [
          "ssh-key 1"
        ],
        "licenseModel": "LicenseIncluded",
        "scanListenerPortTcp": 1050,
        "scanListenerPortTcpSsl": 1025,
        "vnetId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg000/providers/Microsoft.Network/virtualNetworks/vnet1",
        "giVersion": "19.0.0.0",
        "subnetId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg000/providers/Microsoft.Network/virtualNetworks/vnet1/subnets/subnet1",
        "backupSubnetCidr": "172.17.5.0/24",
        "systemVersion": "v1",
        "diskRedundancy": "High",
        "scanIpIds": [
          "10.0.0.1"
        ],
        "vipIds": [
          "10.0.1.3"
        ],
        "scanDnsName": "dbdns1",
        "scanDnsRecordId": "scandns1",
        "shape": "EXADATA.X9M",
        "provisioningState": "Succeeded",
        "ociUrl": "https://fake",
        "dataCollectionOptions": {
          "isDiagnosticsEventsEnabled": true,
          "isHealthMonitoringEnabled": true,
          "isIncidentLogsEnabled": true
        },
        "displayName": "cluster 1",
        "iormConfigCache": {
          "dbPlans": [
            {
              "dbName": "db1",
              "flashCacheLimit": "none",
              "share": 32
            }
          ],
          "lifecycleDetails": "Disabled",
          "lifecycleState": "Disabled",
          "objective": "LowLatency"
        },
        "lastUpdateHistoryEntryId": "none",
        "dbServers": [
          "ocid1..aaaa"
        ],
        "compartmentId": "ocid1..aaaaaa",
        "subnetOcid": "ocid1..aaaaaa",
        "fileSystemConfigurationDetails": [
          {
            "mountPoint": "gukfhjlmkqfqdgb",
            "fileSystemSizeGb": 20
          }
        ],
        "lifecycleState": "Provisioning",
        "nsgUrl": "https://microsoft.com/a",
        "nsgCidrs": [
          {
            "source": "jbkimzvbowffprrlihoxmwuyfkysvwqowpnfxuegojrvucurxbvplrkqtulwjbfj",
            "destinationPortRange": {
              "min": 9434,
              "max": 11996
            }
          }
        ],
        "computeModel": "ECPU"
      },
      "name": "nxuozfnnalsznrzltxchotyg",
      "systemData": {
        "createdBy": "sqehacivpuim",
        "createdByType": "User",
        "createdAt": "2025-08-01T04:32:58.716Z",
        "lastModifiedBy": "axrqfdkqylvjv",
        "lastModifiedByType": "User",
        "lastModifiedAt": "2025-08-01T04:32:58.716Z"
      }
    }
  ],
  "nextLink": "https://microsoft.com/a"
}

List VM Clusters by subscription - generated by [MinimumSet] rule

範例要求

GET https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/providers/Oracle.Database/cloudVmClusters?api-version=2025-09-01

範例回覆

{
  "value": [
    {
      "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg000/providers/Oracle.Database/cloudVmClusters/cluster1",
      "location": "eastus"
    }
  ]
}

定義

名稱 Description
AzureResourceProvisioningState

Azure 資源佈建狀態列舉

CloudVmCluster

CloudVmCluster 資源定義

CloudVmClusterLifecycleState

雲端 VM 叢集生命週期狀態列舉

CloudVmClusterListResult

CloudVmCluster 清單作業的回應。

ComputeModel

計算模型列舉

createdByType

建立資源的身分識別類型。

DataCollectionOptions

DataCollectionOptions 資源屬性

DbIormConfig

雲端 VM 叢集的 DbIormConfig

DiskRedundancy

磁碟備援列舉

ErrorAdditionalInfo

資源管理錯誤其他資訊。

ErrorDetail

錯誤詳細數據。

ErrorResponse

錯誤回應

ExadataIormConfig

適用於雲端虛擬機器叢集的 ExadataIormConfig

ExadataVmClusterStorageManagementType

指定雲端虛擬機器叢集的儲存管理類型(如果其為ASM或百億億次級)。

FileSystemConfigurationDetails

檔案組態選項

IormLifecycleState

ORM 生命週期狀態列舉

LicenseModel

LicenseModel 列舉

NsgCidr

允許入埠 (INGRESS) IP 封包的規則

Objective

目標列舉

PortRange

連接埠範圍,以指定 TCP 規則的特定目的地連接埠。

systemData

與建立和上次修改資源相關的元數據。

AzureResourceProvisioningState

Azure 資源佈建狀態列舉

Description
Succeeded

資源已建立。

Failed

資源建立失敗。

Canceled

資源建立已取消。

Provisioning

指出資源處於 [佈建] 狀態

CloudVmCluster

CloudVmCluster 資源定義

名稱 類型 預設值 Description
id

string (arm-id)

資源的完整資源標識碼。 例如 “/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}”

location

string

資源所在的地理位置

name

string

資源的名稱

properties.backupSubnetCidr

string

minLength: 1
maxLength: 32

用戶端 OCI 備份子網 CIDR,預設值為 192.168.252.0/22

properties.cloudExadataInfrastructureId

string (arm-id)

Cloud Exadata 基礎結構標識符

properties.clusterName

string

minLength: 1
maxLength: 11

雲端 VM 叢集的叢集名稱。 叢集名稱的開頭必須是字母字元,而且可能包含連字元 (-)。 不允許底線 (_) 。 叢集名稱不能超過 11 個字元,而且不區分大小寫。

properties.compartmentId

string

minLength: 1
maxLength: 255

叢集區間 Id

properties.computeModel

ComputeModel

VM 叢集的運算模型。

properties.computeNodes

string[]

minLength: 1
maxLength: 255

要新增至雲端 VM 叢集的計算伺服器清單。

properties.cpuCoreCount

integer (int32)

雲端 VM 叢集上啟用的 CPU 核心數目。

properties.dataCollectionOptions

DataCollectionOptions

指出 VM 叢集/雲端 VM 叢集/VMBM DBCS 的各種診斷收集選項的使用者喜好設定。

properties.dataStoragePercentage

integer (int32)

指派給 DATA 記憶體的百分比(用戶數據和資料庫檔案)。 其餘百分比會指派給 RECO 記憶體(資料庫重做記錄、封存記錄和復原管理員備份)。 接受的值為 35、40、60 和 80。 預設值為 80% 指派給 DATA 記憶體。 如需組態設定對記憶體的影響詳細資訊,請參閱 Exadata 檔中的 記憶體組態

properties.dataStorageSizeInTbs

number (double)

要配置於 TB 中的數據磁碟群組大小。

properties.dbNodeStorageSizeInGbs

integer (int32)

要配置於 GB 中的本機節點記憶體。

properties.dbServers

string[]

minLength: 1
maxLength: 255

DB 伺服器清單。

properties.diskRedundancy

DiskRedundancy

為雲端虛擬機器叢集設定的備援類型。 NORMAL是雙向備援。 HIGH 是 3 路備援。

properties.displayName

string

minLength: 1
maxLength: 255

顯示名稱

properties.domain

string

雲端 VM 叢集的功能變數名稱。

properties.exascaleDbStorageVaultId

string (arm-id)

Exadata 資料庫儲存保存庫 ID

properties.fileSystemConfigurationDetails

FileSystemConfigurationDetails[]

掛接路徑和大小的陣列。

properties.giVersion

string

Oracle Grid 基礎結構 (GI) 軟體版本

properties.hostname

string

minLength: 1
maxLength: 23

雲端 VM 叢集的主機名。

properties.iormConfigCache

ExadataIormConfig

iormConfigCache 雲端 VM 叢集的詳細資料。

properties.isLocalBackupEnabled

boolean

False

如果為 true,則會針對雲端 VM 叢集設定本機 Exadata 儲存體上的資料庫備份。 如果為 false,則雲端 VM 叢集中無法使用本機 Exadata 儲存器上的資料庫備份。

properties.isSparseDiskgroupEnabled

boolean

False

如果為 true,則會針對雲端 VM 叢集設定疏鬆磁碟群組。 如果為 false,則不會建立疏鬆磁碟群組。

properties.lastUpdateHistoryEntryId

string

minLength: 1
maxLength: 255

前次維護更新歷程記錄項目的 OCID。

properties.licenseModel

LicenseModel

適用於雲端 VM 叢集的 Oracle 授權模型。 預設值為 LICENSE_INCLUDED。

properties.lifecycleDetails

string

有關目前生命週期狀態的其他資訊。

properties.lifecycleState

CloudVmClusterLifecycleState

CloudVmCluster 生命週期狀態

properties.listenerPort

integer (int64)

為雲端 VM 叢集上的接聽程式設定的連接埠號碼。

properties.memorySizeInGbs

integer (int32)

要配置於 GB 中的記憶體。

properties.nodeCount

integer (int32)

雲端 VM 叢集中的節點數目。

properties.nsgCidrs

NsgCidr[]

其他 NSG 輸入規則的 CIDR 區塊。 預設會新增用來布建 VM 叢集的 VNET CIDR。

properties.nsgUrl

string (uri)

透過 Azure 介面公開給 Azure 客戶的 OCI 網路安全群組的 HTTPS 連結。

properties.ociUrl

string (uri)

透過 Azure 介面公開給 Azure 客戶的 OCI 資源的 HTTPS 連結。

properties.ocid

string

minLength: 1
maxLength: 255

雲端 VM 叢集 ocid

properties.ocpuCount

number (float)

在雲端 VM 叢集上啟用的 OCPU 核心數目。 小數部分只允許1個小數字數。

properties.provisioningState

AzureResourceProvisioningState

CloudVmCluster 佈建狀態

properties.scanDnsName

string

minLength: 1
maxLength: 72

與雲端虛擬機器叢集相關聯之 SCAN IP 位址之 DNS 記錄的 FQDN。

properties.scanDnsRecordId

string

minLength: 1
maxLength: 255

與雲端 VM 叢集相關聯之 SCAN IP 位址之 DNS 記錄的 OCID。

properties.scanIpIds

string[]

與雲端虛擬機器叢集相關聯的單一用戶端存取名稱 (SCAN) IP 位址。 SCAN IP 位址通常用於負載平衡,不會指派給任何介面。 Oracle Clusterware 會將要求導向至叢集中的適當節點。 便條: 對於單一節點資料庫系統,此清單是空的。

properties.scanListenerPortTcp

integer (int32)

TCP 單一用戶端存取名稱 (SCAN) 埠。 默認埠為 1521。

properties.scanListenerPortTcpSsl

integer (int32)

TCPS 單一用戶端存取名稱 (SCAN) 埠。 默認埠為 2484。

properties.shape

string

minLength: 1
maxLength: 255

執行雲端 VM 叢集之 Exadata 硬體的型號名稱。

properties.sshPublicKeys

string[]

一或多個金鑰組的公鑰部分,用於 SSH 存取雲端 VM 叢集。

properties.storageManagementType

ExadataVmClusterStorageManagementType

指定VM叢集的儲存管理類型是ASM還是Exascale。

properties.storageSizeInGbs

integer (int32)

每個 VM 配置於 GB 中的數據磁碟群組大小。

properties.subnetId

string (arm-id)

用戶端子網

properties.subnetOcid

string

minLength: 1
maxLength: 255

叢集子網路 ocid

properties.systemVersion

string

minLength: 1
maxLength: 255

映像的作業系統版本。

properties.timeCreated

string (date-time)

建立雲端虛擬機器叢集的日期和時間。

properties.timeZone

string

minLength: 1
maxLength: 255

雲端 VM 叢集的時區。 如需詳細資訊,請參閱 Exadata 基礎結構時區

properties.vipIds

string[]

與雲端虛擬機器叢集相關聯的虛擬 IP (VIP) 位址。 叢集就緒服務 (CRS) 會為 Exadata Cloud Service 執行處理中的每個節點建立並維護一個 VIP 位址,以啟用容錯移轉。 如果一個節點發生故障,則 VIP 會重新指派給叢集中的另一個作用中節點。 便條: 對於單一節點資料庫系統,此清單是空的。

properties.vnetId

string (arm-id)

網路連線的 VNET

properties.zoneId

string

minLength: 1
maxLength: 255

雲端 VM 叢集所關聯的區域 OCID。

systemData

systemData

包含 createdBy 和 modifiedBy 資訊的 Azure Resource Manager 元數據。

tags

object

資源標籤。

type

string

資源的類型。 例如“Microsoft.Compute/virtualMachines” 或 “Microsoft.Storage/storageAccounts”

CloudVmClusterLifecycleState

雲端 VM 叢集生命週期狀態列舉

Description
Provisioning

指出資源處於 [佈建] 狀態

Available

指出資源處於可用狀態

Updating

指出處於更新狀態的資源

Terminating

指出該資源處於「終止」狀態

Terminated

指出資源處於已終止狀態

MaintenanceInProgress

指出資源維護進行中狀態

Failed

指出資源處於失敗狀態

CloudVmClusterListResult

CloudVmCluster 清單作業的回應。

名稱 類型 Description
nextLink

string (uri)

項目下一頁的連結

value

CloudVmCluster[]

此頁面上的 CloudVmCluster 項目

ComputeModel

計算模型列舉

Description
ECPU

ECPU 型號類型

OCPU

OCPU 模型類型

createdByType

建立資源的身分識別類型。

Description
User
Application
ManagedIdentity
Key

DataCollectionOptions

DataCollectionOptions 資源屬性

名稱 類型 預設值 Description
isDiagnosticsEventsEnabled

boolean

False

指出是否已針對 VM 叢集/雲端 VM 叢集/VMBM DBCS 啟用診斷收集。

isHealthMonitoringEnabled

boolean

False

指出是否已針對 VM 叢集/雲端 VM 叢集/VMBM DBCS 啟用健康情況監視。

isIncidentLogsEnabled

boolean

False

指出是否為 VM 叢集/雲端 VM 叢集/VMBM DBCS 啟用事件記錄和追蹤收集。

DbIormConfig

雲端 VM 叢集的 DbIormConfig

名稱 類型 Description
dbName

string

資料庫名稱。 對於預設 DbPlan,dbName 是預設值。

flashCacheLimit

string

此資料庫的快閃記憶體快取限制。 此值是根據指派給資料庫的共用值在內部設定。

share

integer (int32)

minimum: 1
maximum: 32

此資料庫的相對優先順序。

DiskRedundancy

磁碟備援列舉

Description
High

高冗餘

Normal

一般備援

ErrorAdditionalInfo

資源管理錯誤其他資訊。

名稱 類型 Description
info

object

其他資訊。

type

string

其他信息類型。

ErrorDetail

錯誤詳細數據。

名稱 類型 Description
additionalInfo

ErrorAdditionalInfo[]

錯誤其他資訊。

code

string

錯誤碼。

details

ErrorDetail[]

錯誤詳細數據。

message

string

錯誤訊息。

target

string

錯誤目標。

ErrorResponse

錯誤回應

名稱 類型 Description
error

ErrorDetail

error 物件。

ExadataIormConfig

適用於雲端虛擬機器叢集的 ExadataIormConfig

名稱 類型 Description
dbPlans

DbIormConfig[]

Exadata 資料庫系統中所有資料庫的 IORM 設定陣列。

lifecycleDetails

string

有關目前 lifecycleState 的其他資訊。

lifecycleState

IormLifecycleState

Exadata 資料庫系統 IORM 組態的目前狀態。

objective

Objective

IORM 目標的目前值。 預設值為 AUTO。

ExadataVmClusterStorageManagementType

指定雲端虛擬機器叢集的儲存管理類型(如果其為ASM或百億億次級)。

Description
ASM

指出雲端VM叢集的儲存管理是ASM

Exascale

指出雲端虛擬機器叢集的儲存管理為百億億次級

FileSystemConfigurationDetails

檔案組態選項

名稱 類型 Description
fileSystemSizeGb

integer (int32)

VM 的大小

mountPoint

string

裝載路徑

IormLifecycleState

ORM 生命週期狀態列舉

Description
BootStrapping

指出資源處於 [佈建] 狀態

Enabled

指出資源處於 [已啟用] 狀態

Disabled

指出資源處於 [已停用] 狀態

Updating

指出處於更新狀態的資源

Failed

指出資源處於失敗狀態

LicenseModel

LicenseModel 列舉

Description
LicenseIncluded

包含許可證

BringYourOwnLicense

自備授權

NsgCidr

允許入埠 (INGRESS) IP 封包的規則

名稱 類型 Description
destinationPortRange

PortRange

指定 TCP 規則之特定目的地埠的目的地埠範圍。

source

string

minLength: 1
maxLength: 128

就概念上講,這是傳入實例的封包可以來自的IP位址範圍。

Objective

目標列舉

Description
LowLatency

低延遲目標

HighThroughput

高通量物鏡

Balanced

平衡目標

Auto

自動目標

Basic

基本目標

PortRange

連接埠範圍,以指定 TCP 規則的特定目的地連接埠。

名稱 類型 Description
max

integer (int32)

minimum: 1
maximum: 65535

埠號碼上限,不得小於最小埠號碼。 若要指定單一埠號碼,請將min和 max都設定為相同的值。

min

integer (int32)

minimum: 1
maximum: 65535

最小埠號碼,不得大於最大埠號碼。

systemData

與建立和上次修改資源相關的元數據。

名稱 類型 Description
createdAt

string (date-time)

資源建立的時間戳(UTC)。

createdBy

string

建立資源的身分識別。

createdByType

createdByType

建立資源的身分識別類型。

lastModifiedAt

string (date-time)

上次修改的資源時間戳 (UTC)

lastModifiedBy

string

上次修改資源的身分識別。

lastModifiedByType

createdByType

上次修改資源的身分識別類型。